{ config, lib, pkgs, ... }:

with lib;
let
  cfg = config.samfelag.modules.app.spotify;
in
{
  options.samfelag.modules.app.spotify = {
    enable = mkEnableOption "spotify";
  };

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      spotify
    ];
  };
}
